USN-4454-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4454-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4454-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4454-1
Related
Published
2020-08-10T13:42:33.948487Z
Modified
2020-08-10T13:42:33.948487Z
Summary
samba vulnerability
Details

Martin von Wittich and Wilko Meyer discovered that Samba incorrectly handled certain empty UDP packets when being used as a AD DC NBT server. A remote attacker could possibly use this issue to cause Samba to crash, resulting in a denial of service.

References

Affected packages

Ubuntu:20.04:LTS / samba

Package

Name
samba

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:4.11.6+dfsg-0ubuntu1.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libwbclient-dev": "2:4.11.6+dfsg-0ubuntu1.4",
            "samba-libs": "2:4.11.6+dfsg-0ubuntu1.4",
            "samba-dsdb-modules": "2:4.11.6+dfsg-0ubuntu1.4",
            "python3-samba": "2:4.11.6+dfsg-0ubuntu1.4",
            "samba-common-bin": "2:4.11.6+dfsg-0ubuntu1.4",
            "registry-tools": "2:4.11.6+dfsg-0ubuntu1.4",
            "ctdb": "2:4.11.6+dfsg-0ubuntu1.4",
            "libnss-winbind": "2:4.11.6+dfsg-0ubuntu1.4",
            "samba-vfs-modules": "2:4.11.6+dfsg-0ubuntu1.4",
            "winbind": "2:4.11.6+dfsg-0ubuntu1.4",
            "samba-common": "2:4.11.6+dfsg-0ubuntu1.4",
            "libpam-winbind": "2:4.11.6+dfsg-0ubuntu1.4",
            "smbclient": "2:4.11.6+dfsg-0ubuntu1.4",
            "samba-testsuite": "2:4.11.6+dfsg-0ubuntu1.4",
            "samba-dev": "2:4.11.6+dfsg-0ubuntu1.4",
            "libsmbclient": "2:4.11.6+dfsg-0ubuntu1.4",
            "samba": "2:4.11.6+dfsg-0ubuntu1.4",
            "libwbclient0": "2:4.11.6+dfsg-0ubuntu1.4",
            "libsmbclient-dev": "2:4.11.6+dfsg-0ubuntu1.4"
        }
    ]
}

Ubuntu:18.04:LTS / samba

Package

Name
samba

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:4.7.6+dfsg~ubuntu-0ubuntu2.18

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libwbclient-dev": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "python-samba": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "registry-tools": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "samba-common-bin": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "samba-dsdb-modules": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "samba-libs": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "ctdb": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "libnss-winbind": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "samba-vfs-modules": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "winbind": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "samba-common": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "libpam-winbind": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "smbclient": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "samba-testsuite": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "samba-dev": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "libparse-pidl-perl": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "libsmbclient": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "samba": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "libwbclient0": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18",
            "libsmbclient-dev": "2:4.7.6+dfsg~ubuntu-0ubuntu2.18"
        }
    ]
}

Ubuntu:16.04:LTS / samba

Package

Name
samba

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:4.3.11+dfsg-0ubuntu0.16.04.29

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libwbclient-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "python-samba": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "registry-tools": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "samba-common-bin": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "samba-dsdb-modules": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "samba-libs": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "ctdb": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "libnss-winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "samba-vfs-modules": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "samba-common": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "libpam-winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "smbclient": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "samba-testsuite": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "samba-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "libparse-pidl-perl": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "libsmbclient": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "samba": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "libwbclient0": "2:4.3.11+dfsg-0ubuntu0.16.04.29",
            "libsmbclient-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.29"
        }
    ]
}